:root{
    --blanco: #ffffff;
    --oscuro: #212121;
    --primario: #FFC107;
    --secundario: #0097A7;
    --gris: #757575;
    --gris_claro: #DFE9F3;
}
/* GLOBALES */
html {
    font-size: 62.5%;
    box-sizing: border-box; /*Hack para Box Model*/
    scroll-snap-type: y mandatory; /*agregar scroll-snap en el HTML*/
}
*, *:before, *:after{
    box-sizing: inherit;
}

/**SCROLL SNAP**/ /*no me gusta*/
.servicios,
.navegacion-principal,
.formulario{
    scroll-snap-align: center;
    scroll-snap-stop: always;
}

body {
    font-size:16px;
    font-family: 'Krub', sans-serif;
    background-image: linear-gradient(to top, var(--gris_claro) 0%, var(--blanco) 100%) ;
}

.ubi{
    color: var(--primario);
}

.contenedor {
    max-width: 120rem;
    margin: 0 auto;
}

/**Boton Reutilizable**/
.boton{
    background-color: var(--secundario);
    color: var(--blanco);
    padding: 1rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 90%;
    text-align: center;
    border: none;
}
@media (min-width: 480px) {
    .boton{
        width: auto;
    }
}
.boton:hover{
    cursor: pointer;
}

.sombra{
    box-shadow: 0px 5px 15px 0px rgba(112,112,112,0.54);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1rem;
}

/* TIPOGRAFIA*/
h1{
    font-size: 3.8rem;
}
h2{
    font-size: 2.8rem;
}
h3{
    font-size: 1.8rem;
}
h1,h2,h3{
    text-align: center;
}

/* TITULOS */
.titulo span {
    font-size:2rem;
}

/*UTILIDADES*/
.w-sm-100{
    width: 100%;
}
@media (min-width: 768px) {
    .w-sm-100{
        width: auto;
    }
    .alinear-derecha{
        justify-content: flex-end;
        position: relative; /*solucion al problema de solapamiento del Enviar*/
        top:1.8rem;
    }
}
.flex{
    display: flex;
}
.alinear-derecha{
    justify-content: flex-end;
}

/*NAVEGACION*/
.nav-bg{
    background-color: var(--secundario);
}

.navegacion-principal{
    display:flex;
    flex-direction: column;
}
@media (min-width: 768px) {
    .navegacion-principal {
        flex-direction: row;
        justify-content: space-between;
    }
}

.navegacion-principal a{
    color:var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
    padding: 1rem;
}

.navegacion-principal a:hover{
    background-color: var(--primario);
    color:var(--oscuro);
}

/*HERO*/
.hero {
    background-image: url(../hero.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}
.contenido-hero {
    position: absolute;
    background-color: rgba( 0, 0, 0, .7 ); /**Forma rgb Anterior**/
    background-color: rgb( 0 0 0 / 70% );
    height: 100%;
    width: 100%;

    /**Alinear Vertical y Horizontalmente**/
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contenido-hero h2,
.contenido-hero p {
    color: var(--blanco);
}


/*Servicios*/
@media (min-width: 768px) {
    .servicios{
        display: grid;
        /*grid-template-columns: 300px 300px;
        grid-template-rows: 200px 800px;
    
        grid: 200px 800px / 300px 300px /*forma abreviada*/
    
        /*grid-template-columns: 1fr 1fr 1fr;
        grid-template-columns: 33.3% 33.3% 33.3%;*//*Lo mismo*/
        grid-template-columns: repeat(3, 1fr);
        column-gap: 1rem;/*separacion entre columnas*/
    }
}
.servicio{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicio h3{
    color: var(--secundario);
    font-weight: normal; /*cambiar el grosor de la fuente; por defecto tienen bold*/
}
.servicio p{
    line-height: 2;/*Interlineado para el parrafo*/
    text-align: center;
}
.servicio .iconos{
    height: 15rem;
    width: 15rem;
    background-color: var(--primario);
    border-radius: 50%; /*Si tienes un cuadrado lo que hace es que lo transforma en circulo al ponerle 50% */
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

/**FORMULARIO**/
.formulario{
    background-color: var(--gris);
    width: min( 60rem, 100%); /*utilizar el valor más pequeño*/
    margin: 0 auto; /* centrar horizontalmente; con tipo block y sin padre display:flex */
    padding: 2rem;
    border-radius: 1rem;
}
.formulario fieldset{
    border:none;
}
.formulario legend{
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px) {
    .contenedor-campos{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto auto 20rem;
        column-gap: 1rem;
    }
}
    .campo:nth-child(3),
    .campo:nth-child(4){    /*en nth-child los arreglos comienzan en 0*/
        grid-column: 1 / 3; /*que vaya de la columna 1 a la 3*/
}
.campo{
    margin-bottom: 1rem;
}
.campo label{
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .05rem;
    display: block;
}
.campo textarea{
    height: 20rem;
}

.input-text {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}

/*FOOTER*/
.footer{
    text-align: center;
}